Bug 174824 - Openoffice 2.0 crashes during mouse operations
Openoffice 2.0 crashes during mouse operations
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-12-02 10:38 EST by Robert K. Moniot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-05 04:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert K. Moniot 2005-12-02 10:38:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Fairly frequently OpenOffice crashes.  I don't know just what is the trigger, but it seems to be always something related to using the mouse, e.g. while using the scrollbar or while using press-and-drag to select text.  It happens from within the word processor, the spreadsheet and the presentation applications, which are the only ones I use.  Unfortunately it is not reproducible.  If I repeat the steps that caused it to crash once, it does not crash again at the same point.  This suggests it is dependent on timing.  I am hoping that someone can interpret the crash log (provided below) to determine the cause.
The behavior is the same using either Gnome or KDE desktop managers.  System is fully updated.  This behavior was not seen with OpenOffice version 1 under FC3.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1.Sorry, just have to do stuff and wait for it to happen.

Additional info:

Here is the crash log from a recent crash of the spreadsheet application while attempting to scroll.
0x813028: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e028
0x8137ee: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7ee
0xdc4420:  + 0x420 (__kernel_sigreturn + 0x0)
0xb1f9253e: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x39553e
0xb1db272c: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b572c
0xb1db39c5: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b69c5
0x4248ba4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9ba4
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248c61: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9c61
0x4248e7f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c9e7f (Window::Update() + 0x191)
0xb1d5c19f: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x15f19f
0xb1d5c75c: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x15f75c
0xb1d5c7a6: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x15f7a6
0x4101300: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82300
0x4261317: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e2317 (Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) + 0x57)
0x428c13d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x20d13d (ScrollBar::Scroll() + 0x25)
0x428dbcc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x20ebcc
0x428ee93: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x20fe93 (ScrollBar::Tracking(TrackingEvent const&) + 0x131)
0x4254a5e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d5a5e
0x4256199: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d7199
0x4254f90: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d5f90
0xe1ba88: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28a88
0xe18a91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x25a91
0xf34be2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0x7a73285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x7a8175b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x7a82c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0x7a83223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x1010743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0xf33348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0xf33784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0x279cdf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x7ddd4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x7de04d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x7de09b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe0bbcf: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bcf
0x1fa4afa: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45afa (X11SalInstance::Yield(unsigned char) + 0x28)
0x4107594: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88594 (Application::Yield() + 0x48)
0x41075ca: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x885ca (Application::Execute() + 0x26)
0xa8dc73: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x21c73 (desktop::Desktop::Main() + 0x15ab)
0x410c99f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8d99f
0x410ca4f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8da4f (SVMain() + 0x29)
0xa88ad7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cad7 (sal_main + 0x57)
0xa88b23: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cb23 (main + 0x27)
0x268d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
Comment 1 Caolan McNamara 2005-12-05 04:14:19 EST
I suspect it's http://gcc.gnu.org/bugzilla/show_bug.cgi?id=25199
Comment 2 Robert K. Moniot 2005-12-16 14:24:22 EST
Updated to openoffice.org 2.0.1-143.2.1 on Dec 6 and it has not crashed since.

Note You need to log in before you can comment on or make changes to this bug.